import request from '@/utils/request'

// 查询订单支付列表
export function listOrder(query) {
  return request({
    url: '/station/order/list',
    method: 'get',
    params: query
  })
}


// 查询订单支付详细
export function getOrder(orderId) {
  return request({
    url: '/station/order/' + orderId,
    method: 'get'
  })
}
// 当前订单退款
export function refund(orderId) {
  return request({
    url: '/station/order/refund/' + orderId,
    method: 'get'
  })
}
// 恢复当前订单
export function reback(orderId) {
  return request({
    url: '/station/order/reback/' + orderId,
    method: 'get'
  })
}


// 新增订单支付
export function addOrder(data) {
  return request({
    url: '/station/order',
    method: 'post',
    data: data
  })
}

// 修改订单支付
export function updateOrder(data) {
  return request({
    url: '/station/order',
    method: 'put',
    data: data
  })
}

// 删除订单支付
export function delOrder(orderId) {
  return request({
    url: '/station/order/' + orderId,
    method: 'delete'
  })
}

// 导出订单支付
export function exportOrder(query) {
  return request({
    url: '/station/order/export',
    method: 'get',
    params: query
  })
}
/**
 * 补打标签
 */
export function printOrderInfo(query) {
  return request({
    url: '/station/order/printOrderInfo',
    method: 'get',
    params: query
  })
}

// 导出lng集团订单
export function exportLngOrderGroup(query) {
  return request({
    url: '/station/order/LNGExport',
    method: 'get',
    params: query
  })
}

// 导出lng站点订单
export function exportLngOrderStation(query) {
  return request({
    url: '/station/order/LNGDeptExport',
    method: 'get',
    params: query
  })
}


// 查询站点订单
export function queryGroupOrder(query) {
  return request({
    url: '/station/order/LNGlist',
    method: 'get',
    params: query
  })
}


// 查询积分消费订单详细
export function queryStationOrder(query) {
  return request({
    url: '/station/order/LNGDeptList',
    method: 'get',
    params: query
  })
}
